package de.ab23.dao.billing.impl;

import java.util.List;

import javax.inject.Inject;
import javax.persistence.EntityManager;

import de.ab23.billing.domain.Game;
import de.ab23.common.qualifiers.OtherExampleQual;
import de.ab23.dao.billing.OtherExampleDaoIf;

public class OtherExampleDao implements OtherExampleDaoIf {
	
	@Inject
	@OtherExampleQual
	EntityManager em;
	
	public Game createNew() {
		return new Game();
	}
	
	public void persistGames(String[] titles) {
		for (int i=0; i<titles.length; i++) {
			Game game = createNew();
			game.setTitle(titles[i]);
			em.persist(game);
		}
	}
	
	public void deleteGames(List<Game> games) {
		for (Game game : games) {
			em.remove(game);
		}
	}
	
	@SuppressWarnings("unchecked")
	public List<Game> findAll() {
		return em.createQuery("select g from Game g").getResultList();
	}

}
